import request from '@/utils/request'

export function listReferee(query) {
  return request({
    url: '/referee/list',
    method: 'get',
    params: query
  })
}

export function joinReferee(data) {
    return request({
      url: '/referee/join',
      method: 'post',
      data
    })
}

export function createReferee(data) {
  return request({
    url: '/referee/create',
    method: 'post',
    data
  })
}

export function createHeader(data) {
  return request({
    url: '/referee/header',
    method: 'post',
    data
  })
}

export function listRoots() {
  return request({
    url: '/referee/roots',
    method: 'get'
  })
} 

export function createPoster(query) {
  return request({
    url: '/referee/createPoster',
    method: 'get',
    params:query
  })
}

export function refereeDetail(query) {
  return request({
    url: '/referee/detail',
    method: 'get',
    params: query
  })
}
export function refereeRoots(query) {
  return request({
    url: '/referee/roots',
    method: 'get',
    params: query
  })
}
export function refereeSelfList(query) {
  return request({
    url: '/referee/selfList',
    method: 'get',
    params: query
  })
}

export function deleteReferee(data) {
  return request({
    url: '/referee/delete',
    method: 'post',
    data
  })
}